function r = expand(s)
%EXPAND	Symbolic expansion.
%	EXPAND(S) expands each element of S, where S is a symbolic matrix. 
%	EXPAND primarily expands polynomials. It also expands several 
%	mathematical functions, such as the trigonometric functions 
%	and the exponential and logarithmic functions. 
%
%	See also SIMPLIFY, SIMPLE, FACTOR, COLLECT.

%	Copyright (c) 1993-95 by The MathWorks, Inc.
%	$Revision: 1.6 $  $Date: 1995/03/01 21:38:46 $

if nargin == 0
   s = maple('"');
elseif strcmp(s,'ans')
   s = maple('"');
end
if s(1) ~= '['
   r = maple('expand',s);
else
   r = maple('map','expand',s);
end
